Page MenuHomeVyOS Platform

DHCP: hostnames of clients not resolving after update v1.2.3 -> 1.2-rolling
Closed, ResolvedPublicBUG

Description

From forum: https://forum.vyos.io/t/dhcp-hostnames-of-clients-not-resolving-after-update-v1-2-3-1-2-rolling/4393

using set service dhcp-server hostfile-update

VyOS should be able to resolve hostnames of clients supplied with an IP address using DHCP. with v1.2-rolling-201911170217 VyOS fails to resolve these hostnames. this worked when using v1.2.3

the hosts file (VyOS 1.2-rolling-201911170217) seems to be correct:

admin@vyos:~$ cat /etc/hosts

### Autogenerated by VyOS ###
### Do not edit, your changes will get overwritten ###

# Local host
127.0.0.1       localhost
127.0.1.1       vyos.lan vyos

# The following lines are desirable for IPv6 capable hosts
::1             localhost ip6-localhost ip6-loopback
fe00::0         ip6-localnet
ff00::0         ip6-mcastprefix
ff02::1         ip6-allnodes
ff02::2         ip6-allrouters

# From DHCP and "system static host-mapping"
192.168.1.150   macmini.lan

Details

Difficulty level
Unknown (require assessment)
Version
1.2-rolling-201911170217
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

c-po assigned this task to kroy.Nov 18 2019, 3:16 PM
c-po created this task.
kroy added a comment.Nov 18 2019, 11:19 PM

PR166 should fix this.

kroy changed the task status from Open to Needs testing.Nov 18 2019, 11:26 PM
pasik added a subscriber: pasik.Nov 19 2019, 8:44 PM
syncer closed this task as Resolved.Nov 23 2019, 12:07 PM
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.